public class TextQuerySearchInputTransformer extends AbstractSearchInputTransformer
fieldsKey, id, operandResolver| Constructor and Description |
|---|
TextQuerySearchInputTransformer(String id,
ClauseInformation information,
JqlOperandResolver operandResolver) |
| Modifier and Type | Method and Description |
|---|---|
boolean |
doRelevantClausesFitFilterForm(ApplicationUser user,
Query query,
SearchContext searchContext)
Tells the caller whether or not the relevant clauses from the passed query can be represented on the issue
navigator.
|
Clause |
getSearchClause(ApplicationUser user,
FieldValuesHolder fieldValuesHolder)
Gets the portion of the Search Query that this searcher is responsible for.
|
void |
populateFromParams(ApplicationUser user,
FieldValuesHolder fieldValuesHolder,
ActionParams actionParams)
Populate
FieldValuesHolder object with whatever values the searcher is interested in from the
ActionParams. |
void |
populateFromQuery(ApplicationUser user,
FieldValuesHolder fieldValuesHolder,
Query query,
SearchContext searchContext)
This method transforms any query information contained in the query that is relevant to this
SearchInputTransformer into the values that the HTML rendering expects.
|
getValueForField, getValueForField, hasDuplicates, hasEmpties, validateParamspublic TextQuerySearchInputTransformer(String id, ClauseInformation information, JqlOperandResolver operandResolver)
public boolean doRelevantClausesFitFilterForm(ApplicationUser user, Query query, SearchContext searchContext)
SearchInputTransformerThe method should only be concerned with the clauses related to this transformer. Other irrelevant clauses should be ignored.
user - performing this action.query - to check if it can fit in the simple (GUI form based) issue navigator.searchContext - contains the projects and issue types that the search and filter form is restricted topublic void populateFromParams(ApplicationUser user, FieldValuesHolder fieldValuesHolder, ActionParams actionParams)
SearchInputTransformerFieldValuesHolder object with whatever values the searcher is interested in from the
ActionParams. This transforms the "raw" request parameters
into a form that the other processing methods can handle (usually a mapping of the fields name as the key
and a list of the values as the value).user - performing this action.fieldValuesHolder - is the object that should have its values set by this method and that will contain
any other values that have been set by other SearchInputTransformers.actionParams - params from the webwork front end that contains a String[] of values as submitted via thepublic void populateFromQuery(ApplicationUser user, FieldValuesHolder fieldValuesHolder, Query query, SearchContext searchContext)
SearchInputTransformerFieldValuesHolder from the a query information in the
query.
SearchInputTransformer.getSearchClause(ApplicationUser, com.atlassian.jira.issue.transport.FieldValuesHolder) method.user - performing this action.fieldValuesHolder - is the object that should have its values set by this method and that will contain
any other values that have been set by other SearchInputTransformers.query - the search criteria used to populate the field values holder.searchContext - contains the projects and issue types that the search and filter form is restricted topublic Clause getSearchClause(ApplicationUser user, FieldValuesHolder fieldValuesHolder)
SearchInputTransformeruser - performing this action.fieldValuesHolder - contains values populated by the searchersClause that represents the users search based on the fieldValuesHolder;
null if this searcher has no responsibility in the given input.Copyright © 2002-2021 Atlassian. All Rights Reserved.